ttf-mscorefonts-installer 3.4+nmu1ubuntu2 fails to install core fonts

Bug #1607535 reported by Robin on 2016-07-28
This bug affects 368 people
Affects Status Importance Assigned to Milestone
msttcorefonts (Ubuntu)
Medium
Unassigned

Bug Description

[Symptoms]

When installing or updating the package ttf-mscorefonts-installer in Ubuntu 16.04 or 16.10, an error message appears in a GUI window, indicating "failure to download extra data files" (the fonts themselves) "after package installation" (the package itself appears to have been installed). This error message re-appears regularly, as a cron-job re-tries the failed download.

If installing or updating from the command line, additional failure information is given in an error message prefixed by "E:", but this error message depends on the mirror server which is contacted for the download: "404 Not Found" is common, but there is also "Protocol http not supported or disabled in libcurl", and complains about invalid Content-Range headers.

[Cause]

The current 3.4 version of ttf-mscorefonts-installer in Ubuntu 16.04 delegates the download of the proprietary Microsoft Core Fonts for the Web (Andale, Arial...) to the package update-notifier, which itself delegates it to the program apt-helper provided by the package apt. The download URL points to the host downloads.sourceforge.net, which redirects to a randomly-chosen mirror server <mirror>.dl.sourceforge.net.

Unfortunately, the program apt-helper has a bug in the way it treats redirections. This bug makes apt-helper keep a space in the URL instead of encoding it to %20 before contacting the mirror. It is more extensively documented in bug 1655431 and bug 1651923. The mirror replies to this malformed request with an error message (e.g. "404 Not Found"), and download fails.

Some mirrors appear to understand the malformed request nonetheless, and send the requested font file, however since there are 11 fonts to download, the chances of getting 11 understanding mirrors are low. Hence why the error message usually concerns andale32.exe or arial32.exe instead of webdin32.exe.

[Workaround 1]

Download the fonts manually and put them all in the same directory. You can use wget for that, because contrary to apt-helper, it handles redirections fine (command line formatted for readability, do not include line breaks and line indents):

  $ wget http://downloads.sourceforge.net/corefonts/
      {andale32.exe,arial32.exe,arialb32.exe,comic32.exe,courie32.exe,
      georgi32.exe,impact32.exe,times32.exe,trebuc32.exe,verdan32.exe,
      webdin32.exe}

Or you can use your browser: point it to https://sourceforge.net/projects/corefonts/files/the%20fonts/final and download the same files.

Make sure the package is purged and no remaining setup triggers are remaining, using your favorite package manager or command-line APT:

  $ sudo apt-get purge ttf-mscorefonts-installer

Then reinstall the package, this time pointing to the previously-downloaded fonts in a second step:

  $ sudo apt-get install ttf-mscorefonts-installer
    # (this will most likely fail again)
  $ sudo dpkg-reconfigure ttf-mscorefonts-installer

The second command should return a "graphical" interface in the terminal. Use it to point to the directory where you downloaded the fonts (/path/to/directory/containing/the/fonts). Make sure no .deb files are in this directory, they seem to be picked up too and then it fails.

If a pop-up shows up for a post-install action later, just let it run, it shouldn't come back. It may triggered by the file /var/lib/update-notifier/user.d/data-downloads-failed and you may be successful in avoiding the regularly-reappearing message by removing this file. But this point is less clear.

Once everything is working, you can delete the downloaded fonts in .exe format, they have been uncompressed and installed in /usr/share/fonts/truetype/msttcorefonts in .ttf format.

Adapted from: Vincent Gerris (comment 17), Lesley Binks (comment 18).

[Workaround 2]

Remove Ubuntu's version of ttf-mscorefonts-installer and install Debian's version instead. Indeed, Debian's version uses wget to download the fonts, and contrary to apt-helper, wget handles redirections fine.

Download the package from https://packages.debian.org/ttf-mscorefonts-installer. Version 3.6 has been tested by several users. This workaround should work with Debian's version 3.4+nmu1 too, but then you'd be prompted to update to Ubuntu's problematic version 3.4+nmu1ubuntu2 next time you update your packages.

To download the package with wget (command line formatted for readability, do not include line break and line indent):

  $ wget http://httpredir.debian.org/debian/pool/contrib/m/
      msttcorefonts/ttf-mscorefonts-installer_3.6_all.deb

Purge your currently-installed Ubuntu version of the package using your favorite package manager or command-line APT, and install the Debian version with dpkg:

  $ sudo apt-get purge ttf-mscorefonts-installer
  $ sudo dpkg --install /path/to/ttf-mscorefonts-installer_3.6_all.deb

When this bug is fixed in Ubuntu 16.04 and 16.10, you can uninstall Debian's version of the package and go back to Ubuntu's version:

  $ sudo dpkg --purge ttf-mscorefonts-installer
  $ sudo apt-get install ttf-mscorefonts-installer

Adapted from: yas (comment 19), Richard Elkins (comment 40)

[Fix]

The bug was fixed by Julian Klode in package apt-transport-https 1.4~beta3ubuntu1, released 2017-01-11, for the upcoming 17.04 (zesty) release, see bug 1651923 comments 24 25.

The fix was backported to apt-transport-https 1.3.4 and 1.2.19, released 2017-01-26, for the previous 16.10 (yakkety) and 16.04 (xenial) releases, respectively, see bug 1651923 comments 57 58.

If you are still affected by it, update apt-transport-https to the appropriate version and reinstall Ubuntu's version of ttf-mscorefonts-installer. Reinstalling is necessary or the daily error message won't go away, see bug 1654573 comment 12. You should remove Debian's version of ttf-mscorefonts-installer beforehand, if you installed it for workaround 2 above:

  $ sudo dpkg --purge ttf-mscorefonts-installer

If you run into Content-Range errors when reinstalling ttf-mscorefonts-installer, remove the downloaded fonts in /var/lib/update-notifier/package-data-downloads/partial/ and try again. This is a different bug, also fixed recently, but not backported to Xenial and Yakkety yet (bug 1657567).

You may also run into warnings about a user _apt and their privileges: these are non-blocking and don't impact the successful download and installation of the fonts, as you can check at the end of the installation log. They have been reported in several other bug reports (e.g. bug 1658707), but not investigated yet.

This bug used to be a duplicate of bug 1651923, but it is currently de-duplicated to hopefully make it easier for people to find it, instead of reporting the issue as a new bug. Otherwise, duplicates are hidden.

Paul White (paulw2u) on 2016-07-28
affects: ubuntu → msttcorefonts (Ubuntu)
tags: added: xenial
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in msttcorefonts (Ubuntu):
status: New → Confirmed
Changed in msttcorefonts (Ubuntu):
importance: Undecided → Medium
Mantas Kriaučiūnas (mantas) wrote :

I think this bug is a duplicate of bug #1563840 (Please merge msttcorefonts 3.6 (multiverse) from Debian testing (contrib)

Robin (robingape) wrote :

This bug addresses the specific question of the relocated source files, but nothing else.

Bugs https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/1371783/ and https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/1563840 would seem to be duplicates.

Most importantly, neither of those bugs actually report the failure to install the font files due to their change of location on Sourceforge.

dino99 (9d9) wrote :

Please sync, yakkety is awaiting too

msttcorefonts (3.6) unstable; urgency=medium

  * Add Turkish translation, thanks Mert Dirik (closes: #757868).
  * Update to policy 3.9.6, no changes.

 -- Thijs Kinkhorst <email address hidden> Thu, 16 Oct 2014 05:52:57 +0000

msttcorefonts (3.5) unstable; urgency=low

  * Mark Multi-Arch: foreign, thanks Scott Ritchie, Daniel Hartwig
    (closes: #700684).
  * Switch to debhelper 9. Update for policy 3.9.4 (no changes).
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand. We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.
    Thanks Colin Watson (closes: #659724).
  * Proxy test failed when HTTP:// is given in uppercase. Thanks
    Tobias Olsson (LP: #1072580).
  * Show licence message when fonts actually installed (closes: #672259).

 -- Thijs Kinkhorst <email address hidden> Sat, 16 Feb 2013 11:55:44 +0100

tags: added: upgrade-software-version yakkety
Brian Murray (brian-murray) wrote :

The changelog for the debian version of msttcorefonts gives no indication that the urls have changed. Additionally, running the code that downloads the fonts certainly seems to work:

 $ sudo apt-get install --reinstall ttf-mscorefonts-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  appmenu-qt5 libappstream3 libdevel-caller-perl libdevel-lexalias-perl libpadwalker-perl libtype-tiny-perl libtype-tiny-xs-perl libxen-4.6 python3-pycurl python3-requests-oauthlib
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 29.5 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://192.168.10.7/ubuntu yakkety/multiverse amd64 ttf-mscorefonts-installer all 3.4+nmu1ubuntu2 [29.5 kB]
Fetched 29.5 kB in 0s (400 kB/s)
The system does not support apt-btrfs-snapshot
Preconfiguring packages ...
(Reading database ... 293580 files and directories currently installed.)
Preparing to unpack .../ttf-mscorefonts-installer_3.4+nmu1ubuntu2_all.deb ...
mscorefonts-eula license has already been accepted
Unpacking ttf-mscorefonts-installer (3.4+nmu1ubuntu2) over (3.4+nmu1ubuntu2) ...
Processing triggers for update-notifier-common (3.174) ...
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Get:1 http://downloads.sourceforge.net/corefonts/andale32.exe [198 kB]
Fetched 198 kB in 3s (59.5 kB/s)
W: Can't drop privileges for downloading as file '/var/lib/update-notifier/package-data-downloads/partial/andale32.exe' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Get:1 http://downloads.sourceforge.net/corefonts/arial32.exe [554 kB]
Fetched 554 kB in 3s (139 kB/s)
W: Can't drop privileges for downloading as file '/var/lib/update-notifier/package-data-downloads/partial/arial32.exe' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)

Noticed the Get and Fetched information. Could you provide some more details about why you think this needs fixing?

Changed in msttcorefonts (Ubuntu):
status: Confirmed → Incomplete
Robin (robingape) wrote :

Brian, thanks for looking.

The real problem here is that downloading the font files from Sourceforge has sometimes worked, and sometimes not.

In true "Read the code, Luke" vein, the difference between versions 3.4 (Ubuntu) and 3.6 (Debian) is that in Ubuntu 3.4 the base path for the download URI (in the rules file) is:
URLROOT = http://downloads.sourceforge.net/corefonts/

but in Debian 3.6 the download URI (in the update-ms-fonts file) is:
URLROOTS="http://downloads.sourceforge.net/corefonts/
 http://switch.dl.sourceforge.net/sourceforge/corefonts/
 http://dfn.dl.sourceforge.net/sourceforge/corefonts/
 http://heanet.dl.sourceforge.net/sourceforge/corefonts/
 http://jaist.dl.sourceforge.net/sourceforge/corefonts/
 http://nchc.dl.sourceforge.net/sourceforge/corefonts/
 http://ufpr.dl.sourceforge.net/sourceforge/corefonts/
 http://internode.dl.sourceforge.net/sourceforge/corefonts/
 http://voxel.dl.sourceforge.net/sourceforge/corefonts/
 http://kent.dl.sourceforge.net/sourceforge/corefonts/"

The download test that you suggested runs fine today, but would not have done so a few months ago. Others have suggested that this is due to how advertisements are/have been presented by Sourceforge.

In a nutshell, version 3.6 is apparently more robust against download problems than 3.4. Since 2014 there have been download problems reported, though today, 2016-10-07, such problems are not manifesting themselves. Running wget from the command line gets the interesting response:

<<stuff deleted>>
HTTP request sent, awaiting response... 302 Found
Location: http://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/andale32.exe [following]
<<…and then the file is retrieved>>

One might assume that the freefr.dl.sourceforge.net URI indicates that the files are provided free from any interference. (I was unable to track down any specifics on this.)

dino99 (9d9) wrote :

@Robin

'freefr' refers to the first tip : https://sourceforge.net/publish/ (fr located)

Changed in msttcorefonts (Ubuntu):
status: Incomplete → Confirmed
harrym (harrymmmm) wrote :

Not sure how general this observation is, but I can confirm that *.sourceforge.net is inaccessible (telnet, or ping) from my expressvpn servers. Disconnecting the vpn makes them available again.
Note that all the 3.6 url's are blocked in this way.

Once i disconnected the vpn temporarily, the fonts installed as expected.

Bottom line: sourceforge is unreliable. files need to be located elsewhere.

Julie Brandon (jewelie) wrote :

Unfortunately the sourceforge links this relies on are now EXCEPTIONALLY unreliable and have been for the last few weeks - for me and I'm sure most everyone else most download attempts fail considerably more often than they succeed now (and this is on a well behaved, rock solid, fibre connection.)

Given that 10 or so successful downloads are required for this installer to complete, and most times individual downloads fail, and any individual download failing causes the process to fail, successful installation is now essentially impossible for me and many others - mine and others' systems have been stuck on the repeated "Failure to download extra files" dialogs for a while now.

:(

Given that it makes this package currently uninstallable and the considerable heat this is receiving, I'm struggling to see how this can be regarded as only medium priority now.

Hi Julie,

I know vastly less than you, so your news is actually most reassuring to
me! Thanks.

Larry Sherk

On Fri, Nov 25, 2016 at 7:54 AM, Julie Brandon <
<email address hidden>> wrote:

> Unfortunately the sourceforge links this relies on are now EXCEPTIONALLY
> unreliable and have been for the last few weeks - for me and I'm sure
> most everyone else most download attempts fail considerably more often
> than they succeed now (and this is on a well behaved, rock solid, fibre
> connection.)
>
> Given that 10 or so successful downloads are required for this installer
> to complete, and most times individual downloads fail, and any
> individual download failing causes the process to fail, successful
> installation is now essentially impossible for me and many others - mine
> and others' systems have been stuck on the repeated "Failure to download
> extra files" dialogs for a while now.
>
> :(
>
> Given that it makes this package currently uninstallable and the
> considerable heat this is receiving, I'm struggling to see how this can
> be regarded as only medium priority now.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1644582).
> https://bugs.launchpad.net/bugs/1607535
>
> Title:
> ttf-mscorefonts-installer 3.4+nmu1ubuntu2 fails to install core fonts
> and should be updated to version 3.6 from Debian
>
> Status in msttcorefonts package in Ubuntu:
> Confirmed
>
> Bug description:
> As noted in
> https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+
> bug/1371783/comments/45,
> the current 3.4 version of ttf-mscorefonts-installer searches for the
> font files in an incorrect network location. The consequence of this
> is that the core fonts are never installed.
>
> The Debian (upstream) version 3.6 of ttf-mscorefonts-installer
> searches for the font files in the correct network location, and will
> successfully install the core fonts.
>
> This problem occurs with Ubuntu 16.04 as of July 2016. (And with
> earlier versions, including current LTS.)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+
> bug/1607535/+subscriptions
>

Since November 14th, 2016 the installer (3.4+nmu1ubuntu2) has consistently failed on new Xenial installations. Before that date it used to work just fine. Debian version (3.6) works very well on Xenial and it's distributed to all our machines.

Meanwhile everything works OK on new Trusty installations...

I can see different error messages when running "apt install --reinstall ttf-mscorefonts-installer" in a loop:

Hash Sum mismatch
The HTTP server sent an invalid Content-Range header
404 Not Found

This seems to be an issue in how update-notifier approach downloads the fonts (due to server-side changes?) Maybe it is something similar to Bug #977812. Is there a way to make update-notifier/downloader dump all sent and received headers?

corvidism (corvidism) wrote :

This bug is still (again?) happening to me on 16.04. The ttf-mscorefonts-downloader repeatedly fails on the first file (andale32.exe). And this is obviously the 3.6 Debian version, because it reports multiple mirrors - so far it has been freefr.dl.sourceforge.net and vorboss.dl.sourceforge.net.

Both return the file OK when I access them through browser, so I suspect SourceForge might be checking cookies.

As have been said in Bug #1371783, SourceForge has become extremely unreliable for automated downloads - I really think the files need to be hosted elsewhere.

(IMHO, The best temporary fix would be James-pic's GitHub hosted version of the package https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/1371783/comments/42 but the PPA doesn't work for xenial - I reached out to James-pic, I'll report back when/if it's available)

Robin (robingape) wrote :

In reply to #13 above, the version on 16.04 is *not* 3.6, but rather 3.4+nmu1ubuntu2 (xenial). Version 3.6, as noted at #7 above, uses a set of 9 alternative paths, rather than the single path of 3.4.

The solution that has been adopted for multiple installs of Ubuntu, 14.04 and 16.04 is to install the Debian version immediately after the base Ubuntu install. The procedure has worked, so far, but is ugly. The necessity of doing this does little for the good reputation of Ubuntu as offering "just works" software.

Belmar-Letelier (luis-c) wrote :

```
$ sudo apt-get install --reinstall ttf-mscorefonts-installer
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
  ttf-mscorefonts-installer
0 mis à jour, 1 nouvellement installés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de prendre 0 o/29,5 ko dans les archives.
Après cette opération, 134 ko d'espace disque supplémentaires seront utilisés.
Préconfiguration des paquets...
Sélection du paquet ttf-mscorefonts-installer précédemment désélectionné.
(Lecture de la base de données... 363899 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../ttf-mscorefonts-installer_3.4+nmu1ubuntu2_all.deb ...
Dépaquetage de ttf-mscorefonts-installer (3.4+nmu1ubuntu2) ...
Traitement des actions différées (« triggers ») pour fontconfig (2.11.94-0ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour update-notifier-common (3.168.2) ...
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  404 Not Found
E: Impossible de récupérer https://freefr.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe 404 Not Found

E: Download Failed
```

but this work::

```
$ wget 'https://freefr.dl.sourceforge.net/project/corefonts/the fonts/final/arialb32.exe'
--2016-12-04 11:00:08-- https://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/arialb32.exe
Résolution de freefr.dl.sourceforge.net (freefr.dl.sourceforge.net)… 2a01:e0d:1:8:58bf:fa88:0:1, 88.191.250.136
Connexion à freefr.dl.sourceforge.net (freefr.dl.sourceforge.net)|2a01:e0d:1:8:58bf:fa88:0:1|:443… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 168176 (164K) [application/octet-stream]
Enregistre : «arialb32.exe.1»

arialb32.exe.1 100%[=============================================================>] 164,23K 634KB/s in 0,3s

2016-12-04 11:00:08 (634 KB/s) - «arialb32.exe.1» enregistré [168176/168176]
$```

Per Heldal (heldal) wrote :

Solutions to this problem is to either use a more capable HTTP-client for download to cope with Sourceforge's ads and redirections, or to host the fonts elsewhere. Workarounds by directing the installer to particular mirrors etc may work for a while, and/or from some places, but aren't likely to be reliable in the long term. Less complex servers should be preferred for automated downloads.

Vincent Gerris (vgerris) wrote :

I posted the workaround: https://askubuntu.com/a/857970/585518

The workaround is to grab the files manually from here for example: https://sourceforge.net/projects/corefonts/files/the%20fonts/final/ and save them in the same directory (say mscorefonts).

The files are (from the installer): Those files are in the Microsoft Windows self-installing format, and are named

andale32.exe, arial32.exe, arialb32.exe, comic32.exe, courie32.exe, georgi32.exe, impact32.exe, times32.exe, trebuc32.exe, verdan32.exe and webdin32.exe.
Make sure the package is purged and no remaining setup triggers are remaining:

sudo apt-get remove --purge ttf-mscorefonts-installer
Then in a terminal run:

sudo apt-get install ttf-mscorefonts-installer #(this will fail again most likely)
sudo dpkg-reconfigure ttf-mscorefonts-installer
That should give you a "graphical" interface in the terminal. Then point to the directory with downloaded files like /home//Downloads/mscorefonts.

Make sure no deb files are in there, the seem to be picked up too and then it fails.

I hope that helps. Indeed the mirror checking needs to be improved. Why can Canonical not host these? Sourceforge seems to get increasingly crappy.

Lesley Binks (lesleyb) wrote :

+1 to Vincent for posting this workaround.

I had already purges and installed the relevant files:

ttf-mscorefonts-installer cabextract libmspack0

a few times with no success.

So I figured I would run the final command Vincent suggested:

sudo dpkg-reconfigure ttf-mscorefonts-installer

So I purged and installed then dpkg-reconfigured fine.

I checked /usr/share/fonts/truetype/msttcorefonts/ and the files are there.
Some symbolic links in that directory carry the date of installation so people can check the dates on the symbolic links to verify Vincent's workaround has worked.

However, while Vincent's workaround successfully installs the mscorefonts, the file:
/var/lib/update-notifier/user.d/data-downloads-failed
which triggers the message everyone is seeing, remains.

This might be a bug between update-notifier interactions with the apt or dpkg packages. Not sure if it should be filed as such.

I'm going to remove that data-downloads-failed file and see if anything breaks.

Hope this helps people

Lesley Binks (lesleyb) wrote :

Also just found

https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/1371783/comments/45

which suggests a more complete work around by retrieving the appropriate package from debian repositories.

I have tried and there is a difference when installing the ubuntu package with the debian package.

Url in debian package:

Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  404 Not Found
E: Impossible de récupérer https://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/andale32.exe 404 Not Found

Url in Ubuntu package:

Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  404 Not Found
E: Impossible de récupérer https://freefr.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe 404 Not Found

The difference is:
Ubuntu package -> "....corefonts/the%20fonts/final...." ERROR
Debian package -> "....corefonts/the fonts/final...." OK

"%20" no exist in ubuntu package and fail.

Sorry, I wrote this wrong

Url in debian package the url is:

https://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/andale32.exe -> OK

and ubuntu package the url is like this:

https://freefr.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe -> ERROR

result ubuntu

Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  404 Not Found
E: Impossible de récupérer https://freefr.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe 404 Not Found

The difference is:
Debian package -> "....corefonts/the%20fonts/final...." OK
Ubuntu package -> "....corefonts/the fonts/final...." ERROR

"%20" no exist in ubuntu package and fail.

On Wed, Dec 7, 2016 at 8:51 AM, mirohe <email address hidden>
wrote:

> Sorry, I wrote this wrong
>
> Url in debian package the url is:
>
> https://freefr.dl.sourceforge.net/project/corefonts/the%
> 20fonts/final/andale32.exe
> -> OK
>
> and ubuntu package the url is like this:
>
> https://freefr.dl.sourceforge.net/project/corefonts/the
> fonts/final/andale32.exe -> ERROR
>
> result ubuntu
>
> Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
> 404 Not Found
> E: Impossible de récupérer https://freefr.dl.sourceforge.
> net/project/corefonts/the fonts/final/andale32.exe 404 Not Found
>
>
> The difference is:
> Debian package -> "....corefonts/the%20fonts/final...." OK
> Ubuntu package -> "....corefonts/the fonts/final...." ERROR
>
> "%20" no exist in ubuntu package and fail.
>
>
>
> This is one of the reasons I like to reduce things like this to a script.
Here's what I used:

#!/bin/bash
> # work around problems in ttf-mscorefonts-installer
>
> if [ $# -ne 1 ] ; then
> echo " *** Error: $0 needs exactly one argument: the name of an empty
> directory where the fonts will go"
> exit 1
> fi
> for font in andale32.exe arial32.exe arialb32.exe comic32.exe courie32.exe
> georgi32.exe impact32.exe times32.exe trebuc32.exe verdan32.exe
> webdin32.exe ; do
> wget
> https://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/$font
> done
>
> sudo apt-get remove --purge ttf-mscorefonts-installer
> sudo apt-get install ttf-mscorefonts-installer
> sudo dpkg-reconfigure ttf-mscorefonts-installer
>

--
Kevin O'Gorman
#define QUESTION ((bb) || (!bb)) /* Shakespeare */

Please consider the environment before printing this email.

Well, nothings perfect. There's a bug I didn't notice because I ran the
script inside the directory where the fonts go. It's important that the
script not be there, so it's better with an added 'cd' command:

> #!/bin/bash
>
> # grab the raw fonts required by mscorefonts-installer
>
> if [ $# -ne 1 ] ; then
> echo " *** Error: $0 needs exactly one argument: the name of an empty
> directory where the fonts will go"
> exit 1
> fi
>
> cd $1
>
> for font in andale32.exe arial32.exe arialb32.exe comic32.exe courie32.exe
> georgi32.exe impact32.exe times32.exe trebuc32.exe verdan32+++ \.exe
> webdin32.exe ; do
> wget
> https://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/$font
> done
>
> sudo apt-get remove --purge ttf-mscorefonts-installer
> sudo apt-get install ttf-mscorefonts-installer
> sudo dpkg-reconfigure ttf-mscorefonts-installer
>
>
On Thu, Dec 8, 2016 at 12:09 PM, Kevin O'Gorman <email address hidden> wrote:

>
>
> On Wed, Dec 7, 2016 at 8:51 AM, mirohe <email address hidden>
> wrote:
>
>> Sorry, I wrote this wrong
>>
>> Url in debian package the url is:
>>
>> https://freefr.dl.sourceforge.net/project/corefonts/the%20fo
>> nts/final/andale32.exe
>> -> OK
>>
>> and ubuntu package the url is like this:
>>
>> https://freefr.dl.sourceforge.net/project/corefonts/the
>> fonts/final/andale32.exe -> ERROR
>>
>> result ubuntu
>>
>> Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
>> 404 Not Found
>> E: Impossible de récupérer https://freefr.dl.sourceforge.
>> net/project/corefonts/the fonts/final/andale32.exe 404 Not Found
>>
>>
>> The difference is:
>> Debian package -> "....corefonts/the%20fonts/final...." OK
>> Ubuntu package -> "....corefonts/the fonts/final...." ERROR
>>
>> "%20" no exist in ubuntu package and fail.
>>
>>
>>
>> This is one of the reasons I like to reduce things like this to a
> script. Here's what I used:
>
> #!/bin/bash
>> # work around problems in ttf-mscorefonts-installer
>>
>> if [ $# -ne 1 ] ; then
>> echo " *** Error: $0 needs exactly one argument: the name of an empty
>> directory where the fonts will go"
>> exit 1
>> fi
>> for font in andale32.exe arial32.exe arialb32.exe comic32.exe
>> courie32.exe georgi32.exe impact32.exe times32.exe trebuc32.exe
>> verdan32.exe webdin32.exe ; do
>> wget https://freefr.dl.sourceforge.net/project/corefonts/the%
>> 20fonts/final/$font
>> done
>>
>> sudo apt-get remove --purge ttf-mscorefonts-installer
>> sudo apt-get install ttf-mscorefonts-installer
>> sudo dpkg-reconfigure ttf-mscorefonts-installer
>>
>
>
>
> --
> Kevin O'Gorman
> #define QUESTION ((bb) || (!bb)) /* Shakespeare */
>
> Please consider the environment before printing this email.
>

--
Kevin O'Gorman
#define QUESTION ((bb) || (!bb)) /* Shakespeare */

Please consider the environment before printing this email.

You can try my workaround:
edit your /usr/share/package-data-downloads replacing all
http://downloads.sourceforge.net/corefonts/
with
https://freefr.dl.sourceforge.net/project/corefonts/the%20fonts/final/

remove all partial download with
rm -rf /var/lib/update-notifier/package-data-downloads/partial

change your partial download directory permissions with
sudo chmod 777 /var/lib/update-notifier/package-data-downloads/partial
or solve the problem of the _apt user with
sudo adduser --force-badname --system --home /nonexistent \ --no-create-home --quiet _apt || true

and restart the update process with
sudo /usr/lib/update-notifier/package-data-downloader

Malik Rumi (malik-a-rumi) wrote :

Assuming this workaround passes whatever tests it might need, how are all the rest of us 'normal' users going to get it? Will it be patched into our regular updates? When? I am on 16.04, and this has been going on for a while now, perhaps mid November as another poster stated. But I also see tons of similar issues going back for several versions of Ubuntu. What happened to all of those? Didn't anyone notice that the same issue was carrying over from version to version?

Markus Neubauer (mn-ubuntu) wrote :

I guess, this not tested...

Correct is the suggestion above in #21

further error:

/usr/lib/update-notifier/package-data-downloader
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Fehl:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  Protocol "http" not supported or disabled in libcurl
E: Fehlschlag beim Holen von https://kent.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Protocol "http" not supported or disabled in libcurl

Markus Neubauer (mn-ubuntu) wrote :

Btw: All LibreOffice users exchanging documents with other OS flavours are affected, too.

mandarke (mandarke) wrote :

what's stopping canonical from hosting this themselves?

Igor (wgle) wrote :

#17 works! thank you!

stinger (dev-t) wrote :

microsoft, please help us ...

Yes, #17 is the temporary solution, but not is the solution of the package.

I thing that the problem is the shown in #21.

Correct me if I'm wrong.

Dirk Bosmans (dirk-bosmans) wrote :

Indeed #17 installs the fonts, but doesn't prevent the pop-up that prompts to install them again. In fact the fonts were installed in the first place, and that didn't keep the pop-up away either. These are old font files, the .exe installers are equally old, and do not change anymore. The problem lies with the package that triggers their installation again and again and again.

mandarke (mandarke) wrote :

are sourceforge aware of the missing "%20" ?

Alexis de Lattre (alexis-via) wrote :

I took the Debian packages for Jessie (debian stable) from https://packages.debian.org/jessie/all/ttf-mscorefonts-installer/download
which is version 3.6 and I installed it fine with "dpkg -i" on my Ubuntu 16.04 server. I can see the fonts in /usr/share/fonts/truetype/msttcorefonts

So we just need someone to port msttcorefonts v3.6 from Debian to Ubuntu.

Yes, the package of debian version 3.6 work ok in ubuntu 16.04.
But this not is the solution. The solution is fix the ubuntu package, for all users can be update from the official repository.

The temporary solution can be the install debian package, but when the ubuntu package is fix, will be necesssary uninstall manually the debian package and install the package Ubuntu.

Arutyun (arutyun-akopov) wrote :

I have the same bug. Ubuntu 16.04.1 LTS

McFly81 (christian-lange-81) wrote :

Happens here too, Kubuntu 16.04 LTS. Seems to be related rather to Sourceforge, because the error happens on different URLs. Wenn doing "sudo apt-get install --reinstall ttf-mscorefonts-installer"

First attempt:

Fehl:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  404 Not Found
E: Fehlschlag beim Holen von https://heanet.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe 404 Not Found

E: Herunterladen fehlgeschlagen

Second attempt:

Fehl:1 http://downloads.sourceforge.net/corefonts/arialb32.exe
  Protocol "http" not supported or disabled in libcurl
E: Fehlschlag beim Holen von https://heanet.dl.sourceforge.net/project/corefonts/the fonts/final/arialb32.exe Protocol "http" not supported or disabled in libcurl

E: Herunterladen fehlgeschlagen

Third attempt:

Fehl:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  Protocol "http" not supported or disabled in libcurl
E: Fehlschlag beim Holen von https://kent.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Protocol "http" not supported or disabled in libcurl

E: Herunterladen fehlgeschlagen

Next attempt:

Fehl:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  Vom HTTP-Server wurde eine ungültige »Content-Range«-Kopfzeile gesandt.
E: Fehlschlag beim Holen von https://netcologne.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Vom HTTP-Server wurde eine ungültige »Content-Range«-Kopfzeile gesandt.

E: Herunterladen fehlgeschlagen

Alway another font that goes wrong. Looks like Sourceforge is somewhat in trouble...

McFly81 (christian-lange-81) wrote :

Manually installing version 3.6 worked, but cannot be right solution. Please fix 3.4 or merge 3.6.

Richard Elkins (texadactyl) wrote :

Automated work-around (no failures, no re-runs, no manual edits), 3 steps:

sudo apt-get -y remove --purge ttf-mscorefonts-installer
wget http://ftp.de.debian.org/debian/pool/contrib/m/msttcorefonts/ttf-mscorefonts-installer_3.6_all.deb -P ~/Downloads
sudo apt install ~/Downloads/ttf-mscorefonts-installer_3.6_all.deb

(Mind any line-breaks in step 2 above i.e. the wget step)

Hopefully, the Ubuntu repo version will be fixed soon.

cbcymru (christonteg) wrote :

As Malik Rumi (malik-a-rumi) #25 quite rightly asked, how are we "normal" users meant to deal with this bug?

It is an issue that's been continuing on and off since at least 2012 and yet amazingly this bug remains Unassigned.

Completely agree with you cbcymru

I understand that this bug is not critical, but I would have to be assigned.
A user "normal" (without computer knowledge), does not know how to install things from terminal.

Jimmy Merrild Krag (beruic) wrote :

I just installed the .deb file from debian (https://packages.debian.org/jessie/all/ttf-mscorefonts-installer/download) and it worked without any issues. I used gdebi on the terminal, but I don't see why it shouldn't work with the software center installer.

Since the package from Debian works, why is it not just pushed to the repositories as is?

albert_pe (albert-klose) wrote :

I tried beruci 's suggestion
sudo dpkg -i ttf-mscorefonts-installer_3.6_all.deb

. . .

All done, no errors.
thanks!

Thomas Mayer (thomas303) wrote :

Upgrading to debian's 3.6 package worked for me for ubuntu 16.04:

wget "http://ftp.fr.debian.org/debian/pool/contrib/m/msttcorefonts/ttf-mscorefonts-installer_3.6_all.deb"
sudo apt-get remove --purge ttf-mscorefonts-installer
sudo dpkg -i ttf-mscorefonts-installer_3.6_all.deb

John Erling Blad (jeblad) wrote :

Tried #40, and it seems to have worked.

Exeleration-G (exeleration-g) wrote :

#40 worked here as well. Thanks for the quick fix.

M0ses (m0ses) wrote :

#45 Worked for me - but it should be fixed in general

annoying bug - seems easily can be fixed

Kato Soeth (kato69) wrote :

#40 - "All done, no errors".

Thanks!
K.

Adrien Beau (adrienbeau) wrote :

Hello everybody that recently commented on this issue (starting with comment #10)!

I believe the core issue is in not in the msttcorefonts package: it is modified on Ubuntu to delegate all downloads to the update-notifier package, which is the one having issues. (That is why installing the Debian version is a quick fix: it does not use update-notifier.)

The update-notifier package itself delegates the download to the apt-helper program from the apt package, which is the one having a problem and which should be fixed.

Have a look at the following issue for the details, and vote on it if you are affected:

https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1655431

JPT (j-p-t) wrote :

Tried in fresh Ubuntu 14.04.5 install, and works fine:

Trigger für update-notifier-common (0.154.1ubuntu2) werden verarbeitet ...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arialb32.exe

...

All done, no errors.
All fonts downloaded and installed.

So the problem is located somewhere else?

Adrien Beau (adrienbeau) wrote :

As written in comment #50, this problem is in the apt package. Also, it is specific to 16.04.

Downloading and installing https://packages.debian.org/sid/all/ttf-mscorefonts-installer/download works flawlessly.

A lot of people are affected by this bug: https://askubuntu.com/a/859472/164341

At least 3 people (myself included) confirm the new version of this package works with Ubuntu 16.04.

Jeremy Bicha (jbicha) wrote :

I'm marking this a duplicate of bug 1651923 which is the underlying apt issue. The good news is that a fix is being worked on for Ubuntu 16.04 and 16.10.

As for the update request, I've opened bug 1656102 for that so those interested in the update can subscribe to that bug instead. From what I can tell, updating this package to 3.6 is not needed to fix this bug. Debian's package worked because Debian's package is different. That difference is part of why Ubuntu's packages hasn't been updated recently because that difference is complicated.

summary: ttf-mscorefonts-installer 3.4+nmu1ubuntu2 fails to install core fonts
- and should be updated to version 3.6 from Debian

Removing the "...and should be updated to version 3.6 from Debian" part of the bug title to reflect that the fix isn't in version 3.6 per se (but in package apt, as explained in bug 1651923). Version 3.6 only works around this bug by using wget instead of apt-helper to download the fonts, it doesn't fix it. And should Ubuntu's package be merged with Debian's, the bug would stay because usage of apt-helper would be kept in the Ubuntu package.

That said a merge would still be nice, for reasons exposed in bug 1656102 and duplicates.

Is there a way to list this bug in the bug list of msttcorefonts without removing duplicate status, so that people stop reporting this problem as a new bug? The apt bug this bug is a duplicate of is not obvious to find for most users running into this problem.

If not, can we temporarily remove duplicate status?

Jeremy Bicha (jbicha) wrote :

Nathanaël, thanks for your help! Yes, you can de-duplicate for now but please update the bug description to explain the current status so people don't have to read a long thread to find that out.

cbcymru (christonteg) wrote :

Having tired of receiving regular prompts to install ttf-mscorefonts I ignored the fact that I'm a normal user and followed the advice offered in post #40 by installing version 3.6.

It works in that I no longer receive the prompts, but have I compromised the OS by installing version 3.6? Has it solved the problem, masked the problem or created a new problem that I'm not yet aware of?

Jeremy Bicha (jbicha) wrote :

cbcymru, the problem with installing packages from outside the Ubuntu repositories is that you might not receive bugfix or security updates for those packages. Why? Because you installed 3.6 and the next Ubuntu bugfix update for this package (if there is one) will be numbered something like 3.4+nmu1ubuntu2.1. Since that's a lower number than 3.6, apt will not update your package to that version.

Also, in this case, the Debian package is substantially different so it's not as integrated into Ubuntu's environment. I'm not familiar enough with this package to tell you what those differences are.

cbcymru (christonteg) wrote :

Jeremy, thanks for the insight. So have those of us who have switched to version 3.6, and there seem to be many, left our computers vulnerable? When the 3.4 version bug is finally fixed how could we switch back to the fixed version 3.4?

Also, for those still using the buggy version 3.4 is there a simple way to stop the install prompts? as they're as annoying as they are pointless.

Jeremy Bicha (jbicha) wrote :

Good questions. If you choose to keep 3.6 installed for now, I would subscribe to https://launchpad.net/bugs/1651923

When that bug is marked **Fix Released** and the update is applied to your computer (it may be a week later), I would then re-install the Ubuntu version of this package.

To re-install the Ubuntu version, you can run this from the command line:

sudo apt install ttf-mscorefonts-installer/xenial

(Of course, use yakkety instead of xenial if you are using Ubuntu 16.10).

I don't know about stopping the install prompts.

cbcymru (christonteg) wrote :

Jeremy, Many thanks. I've taken the cautious approach and reinstalled Xubuntu 16.04LTS. So I'm back to version 3.4 and I've already had my first install prompt. Very annoying!

If you should discover how to stop the install prompt before the fix is found, please post the details.

Robin (robingape) wrote :

Nathaniel, addressing the change made between comments #54 & #55. This bug is *not* relating to the functional failure of ttf-mscorefonts-installer, but rather to the failure of Ubuntu to *update to version 3.6*. This package comes originally from Debian, where the current version is 3.6. That version seems to work without problem, no matter how ugly it may be in doing so. An update to the existing 3.6 code would provide a clean solution to the problem which, as you will have noticed, affects a very large number of people.

Unless someone is going actively to develop and test an updated package which resolves the problems with version 3.4, then the change proposed negates the point of this bug report, which is to adopt the Debian solution. The solution in Debian mainstream (version 3.6) is already tested and working. What is missing is for Ubuntu to adopt version 3.6.

(As a point of information, this bug also appears with 14.04.)

Jeremy, comment 59:

> the next Ubuntu bugfix update for this package (if there is one)
> will be numbered something like 3.4+nmu1ubuntu2.1

It would be 3.4+nmu1ubuntu3 I believe. But there will be no new version of this package to fix this bug, as it has to be fixed in another package (apt), not in this package (ttf-mscorefonts-installer).

cbcymru, comment 60:

> So have those of us who have switched to version 3.6, and there
> seem to be many, left our computers vulnerable?

Only if there is a security vulnerability in Debian's v3.6 ttf-mscorefonts-installer, and only if it is found...

> When the 3.4 version bug is finally fixed how could we switch back
> to the fixed version 3.4?

I was just wondering about that and it seems as trivial as using dpkg with the "purge" action (-P, --purge) instead of the "install" action (-i, --install):

  $ dpkg -P /path/to/ttf-mscorefonts-installer_3.6_all.deb

And then you'd install the Ubuntu package. Running what Jeremy proposes in comment 61 would also install the Ubuntu package but without uninstalling the Debian package before, and given that these packages have differences, I'd rather be on the safe side and run whatever pre-removal and post-removal scripts are included in the Debian package.

cbcymru, comment 62:

> If you should discover how to stop the install prompt before
> the fix is found, please post the details.

Lesley Binks in comment 18 suggests removing the file:

  /var/lib/update-notifier/user.d/data-downloads-failed

which he says triggers the message. Unfortunately he hasn't reported yet if it works and is safe. Also, note that this is in the context of Vincent Gerris's workaround in comment 17, not in the context of using Debian's version 3.6.

Obviously, if you don't need Microsoft's Core Fonts, you may just uninstall the package.

Robin, comment 63:

> This package comes originally from Debian, where the current
> version is 3.6. That version seems to work without problem,
> no matter how ugly it may be in doing so.

As a matter of fact, even Debian's version 3.4 works. It works because it uses wget to download the fonts, while Ubuntu's version of the package uses apt-helper, which has a bug, see comments 50 52 by Adrien Beau, and the bug 1655431 he links to, which points to the root cause in bug 1651923.

So it's not a case of "version 3.4 is broken, version 3.6 fixes the problem" but a case of "Ubuntu versions of the package are broken, Debian versions of the package work".

I do not know why the Ubuntu package was modified in the first place, rather than simply copied from Debian (and I personally wish there were less delta between the two distributions, to avoid these Ubuntu-only bugs). Perhaps we can find out the reasons in the changelog for the Ubuntu package.

> An update to the existing 3.6 code would
> provide a clean solution

Yes and no. On the one hand, using Debian's 3.6 package as-is certainly works, as mentionned in this thread.

But the Ubuntu package cannot be updated to pure Debian 3.6 without losing the Ubuntu-specific changes. So the changes made in Debian between 3.4 and 3.6 should instead be merged to the Ubuntu package, for it to benefit from both the features of the new version and the Ubuntu-specific changes.

Since one of these Ubuntu-specific changes is using apt-helper instead of wget, the bug would remain.

> problem which, as you will have noticed,
> affects a very large number of people

It affects me too.

> Unless someone is going actively to develop and test an updated
> package which resolves the problems with version 3.4

Someone is: Julian Klode, see bug 1651923, of which this bug is a duplicate (although I am going to temporarily remove duplicate status, see this bug, comments 56 57).

Julian has already released a fix, available in Ubuntu's upcoming 17.04 release, as is the correct procedure. Fixes aren't released directly to production releases, they are first tested in the development release, in case they don't work or cause new bugs.

If you can use the development release, please test this package and report in bug 1651923. Feedback will be appreciated and will help the fix to be backported to the production releases.

> (As a point of information, this bug also appears with 14.04.)

Crap. I was quite sure it was specific to 16.06 and 16.10. Can you give more details? In bug 1651923, bottom of comment 24, Julian Klode mentions that there is a different issue with the downloads on Trusty (14.04). Can you confirm whether you are running into this different issue (download hangs) or the issue discussed in this bug (download fails)?

tags: removed: upgrade-software-version
description: updated
Changed in msttcorefonts (Ubuntu):
status: Confirmed → In Progress

As proposed in comments 56 57, I have temporarily removed the duplicate status of this bug to un-hide it in the package's bug list, in the hope that people will find it more easily and stop opening new bugs to report this problem.

I have updated the description with all the findings made about this bug, in particular its cause, two workarounds, and Julian Klode's work to fix it in bug 1651923. Please improve on this description if you can. Thanks to all the people who contributed to investigating this bug.

Robin (robingape) wrote :

Nathanaël, many thanks for your *clear* explanation of what was done to the code between Debian and Ubuntu.

In regards to 14.04, when this machine (located in the UK) originally had 14.04 installed, ttf-mscorefonts-installer worked fine. When 14.04 was re-installed in January 2015, ttf-mscorefonts-installer failed to download. At that point, the Debian 3.6 package was installed, which downloaded successfully (quite in line with your explanation). The symptoms have continued with other 14.04 LTS installs, and now with 16.04 LTS installs. (On a number of machines.)

Robin:

Sorry I couldn't reply sooner.

For 16.04, this bug has been fixed in apt-transport-https 1.2.19, released Jan 26, 2017, so you shouldn't run into it again with the Ubuntu ttf-mscorefonts-installer 3.4 package, provided you update apt-transport-https to 1.2.19.

For 14.04, I cannot reproduce what you describe. On my own 14.04 machine, I am able to install Ubuntu's ttf-mscorefonts-installer 3.4 without any error. Your issue may have a different cause. If you can still reproduce it, please open a new bug report with as much information as you can give, and subscribe me to it.

This bug has been fixed in apt-transport-https 1.2.19 (xenial) and 1.3.4 (yakkety), released 2017-01-26, by Julian Klode in bug 1651923.

If you are still affected by it, update apt-transport-https to the appropriate version and reinstall Ubuntu's version of ttf-mscorefonts-installer. You should remove Debian's version of ttf-mscorefonts-installer beforehand, if you installed it (unless you want to keep using Debian's version of course).

If you run into Content-Range errors when reinstalling ttf-mscorefonts-installer, remove the downloaded fonts in /var/lib/update-notifier/package-data-downloads/partial/ and try again. This is a different bug, also fixed recently, but not backported to Xenial and Yakkety yet (bug 1657567).

Changed in msttcorefonts (Ubuntu):
status: In Progress → Fix Released
description: updated
description: updated
description: updated
Timofey Vorobyov (t-vorobyov) wrote :

workaround 1: invalid link
 $ wget http://downloads.sourceforge.net/corefonts/
results in HTTP error 404

> "command line formatted for readability, do not include line breaks and line indents"

So it's wget http://url/corefonts/{font,font,...} or if your shell doesn't support the {} syntax you have to download each font one after the other.

That said, bug is fixed, it's time to use the fix, not the workaround.

Travisgevans (travisgevans) wrote :

Thanks for providing information on working around the Content-Range errors here. The daily cron spam and inability to properly install the affected packages was getting annoying, and the solution is not particularly obvious to a casual user.

description: updated
Thomas Mayer (thomas303) wrote :

I removed debian's package and installed ubuntu's fixed version of ttf-mscorefonts-installer (3.4+nmu1ubuntu2). Works great now. Thanks!

I still get errors using 3.4+nmu1ubuntu2 package after removing the
Debian version.

On 02/21/2017 09:57 AM, Thomas Mayer wrote:
> I removed debian's package and installed ubuntu's fixed version of ttf-
> mscorefonts-installer (3.4+nmu1ubuntu2). Works great now. Thanks!
>

Sigh... The bug that never got away. Did you update apt-transport-https? Reinstalled ttf-mscorefonts-installer? Followed the instructions in section [Fix] of the bug's description? And what's the errors saying?

Tanner Blomster (blomstertj) wrote :

@Nathanael

apt-transport-https is version 1.2.19

The error when I install ttf-mscorefonts-installer version 3.4+nmu1ubuntu2 is located here: https://paste.ubuntu.com/24043773/

Output is from sudo apt install ttf-mscorefonts-installer. I removed ttf-mscorefonts-installer 3.6 from Debian repository. I used Synaptic to remove it. (Mark for removal)

@Tanner

> "All done, no errors."

Where is the error?

Joke aside, the fonts are successfully downloaded and installed. The warnings (W) that you see, about the user _apt, are non-blocking. They have been reported in several other bug reports. I don't think anybody is investigating them yet. They're not on my urgent todo list either. Perhaps in the future.

I'm going to update the bug's description to mention them. Thanks for reminding me about them.

description: updated
Tanner Blomster (blomstertj) wrote :
Download full text (8.0 KiB)

I checked font viewer and they were all there. Sorry for the confusion.

Thanks

On Feb 21, 2017, 8:54 PM, at 8:54 PM, "Nathanaël Naeri" <email address hidden> wrote:
>@Tanner
>
>> "All done, no errors."
>
>Where is the error?
>
>Joke aside, the fonts are successfully downloaded and installed. The
>warnings (W) that you see, about the user _apt, are non-blocking. They
>have been reported in several other bug reports. I don't think anybody
>is investigating them yet. They're not on my urgent todo list either.
>Perhaps in the future.
>
>I'm going to update the bug's description to mention them. Thanks for
>reminding me about them.
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (1655103).
>https://bugs.launchpad.net/bugs/1607535
>
>Title:
> ttf-mscorefonts-installer 3.4+nmu1ubuntu2 fails to install core fonts
>
>Status in msttcorefonts package in Ubuntu:
> Fix Released
>
>Bug description:
> [Symptoms]
>
> When installing or updating the package ttf-mscorefonts-installer in
> Ubuntu 16.04 or 16.10, an error message appears in a GUI window,
> indicating "failure to download extra data files" (the fonts
> themselves) "after package installation" (the package itself appears
> to have been installed). This error message re-appears regularly, as a
> cron-job re-tries the failed download.
>
> If installing or updating from the command line, additional failure
> information is given in an error message prefixed by "E:", but this
> error message depends on the mirror server which is contacted for the
> download: "404 Not Found" is common, but there is also "Protocol http
> not supported or disabled in libcurl", and complains about invalid
> Content-Range headers.
>
> [Cause]
>
> The current 3.4 version of ttf-mscorefonts-installer in Ubuntu 16.04
> delegates the download of the proprietary Microsoft Core Fonts for the
> Web (Andale, Arial...) to the package update-notifier, which itself
> delegates it to the program apt-helper provided by the package apt.
> The download URL points to the host downloads.sourceforge.net, which
> redirects to a randomly-chosen mirror server
> <mirror>.dl.sourceforge.net.
>
> Unfortunately, the program apt-helper has a bug in the way it treats
> redirections. This bug makes apt-helper keep a space in the URL
> instead of encoding it to %20 before contacting the mirror. It is more
> extensively documented in bug 1655431 and bug 1651923. The mirror
> replies to this malformed request with an error message (e.g. "404 Not
> Found"), and download fails.
>
> Some mirrors appear to understand the malformed request nonetheless,
> and send the requested font file, however since there are 11 fonts to
> download, the chances of getting 11 understanding mirrors are low.
> Hence why the error message usually concerns andale32.exe or
> arial32.exe instead of webdin32.exe.
>
> [Workaround 1]
>
> Download the fonts manually and put them all in the same directory.
> You can use wget for that, because contrary to apt-helper, it handles
> redirections fine (command line formatted for readability, do not
> include line breaks and line indents):
>
>   $ ...

Read more...

Uqbar (uqbar) wrote :

Still getting the error on KUbuntu 16.04.2.
Same error, same annoyance.

Uqbar (uqbar) wrote :

It's a fully updated system!

ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Scaricamento di:1 http://downloads.sourceforge.net/corefonts/andale32.exe [198 kB]
Recuperati 198 kB in 2s (81,6 kB/s)
W: Can't drop privileges for downloading as file '/var/lib/update-notifier/package-data-downloads/partial/andale32.exe' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permesso negato)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Err:1 http://downloads.sourceforge.net/corefonts/arial32.exe
  Protocol "http" not supported or disabled in libcurl
W: Can't drop privileges for downloading as file '/var/lib/update-notifier/package-data-downloads/partial/arial32.exe' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permesso negato)
E: Impossibile recuperare https://netix.dl.sourceforge.net/project/corefonts/the fonts/final/arial32.exe Protocol "http" not supported or disabled in libcurl

E: Scaricamento non riuscito

Uqbar, what is your version of apt-transport-https?

  $ apt-cache policy apt-transport-https

Uqbar (uqbar) wrote :

apt-cache policy apt-transport-https
apt-transport-https:
  Installed: 1.2.19
  Candidate: 1.2.19
  Version table:
 *** 1.2.19 500
        500 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.2.15ubuntu0.2 500
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
     1.2.10ubuntu1 500
        500 http://it.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

This issue should not happen any longer, so I'm a bit disconcerted. What is the version table for your ttf-mscorefonts-installer package?

  $ apt-cache policy ttf-mscorefonts-installer

Can you confirm that there are no font-related partial downloads in /var/lib/update-notifier/package-data-downloads/partial/ (if there are, just delete them), and that the issue you report happens when reinstalling ttf-mscorefonts-installer?

  $ sudo apt-get purge ttf-mscorefonts-installer
  $ sudo apt-get install ttf-mscorefonts-installer

Uqbar (uqbar) wrote :

apt-cache policy ttf-mscorefonts-installer
ttf-mscorefonts-installer:
  Installed: 3.4+nmu1ubuntu2
  Candidate: 3.4+nmu1ubuntu2
  Version table:
 *** 3.4+nmu1ubuntu2 500
        500 http://it.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages
        500 http://it.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages
        100 /var/lib/dpkg/status

There were actually three files:

ls -l /var/lib/update-notifier/package-data-downloads/partial/
total 804K
-rw-r--r-- 1 root root 969 2016-11-29 07:35:04 andale32.exe.FAILED
-rw-r--r-- 1 root root 165K 2002-08-15 16:34:10 arialb32.exe
-rw-r--r-- 1 root root 632K 2002-08-15 16:34:27 courie32.exe

I removed those files and I got:

...
All done, no errors.
All fonts downloaded and installed.
flashplugin-installer: processing...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20170314.1.orig.tar.gz
Scaricamento di:1 http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20170314.1.orig.tar.gz [30,4 MB]
Recuperati 30,4 MB in 23s (1.283 kB/s)
W: Can't drop privileges for downloading as file '/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20170314.1.orig.tar.gz' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permesso negato)
Installing from local file /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20170314.1.orig.tar.gz
Flash Plugin installed.

So the application is still buggy: it can't be that I need to manually remove failed downloads in order to have a successful execution.

I'm glad manually removing the partially-downloaded fonts fixed the issue for you.

A bug about partially-downloaded fonts preventing the rest of the download is currently being fixed in bug 1657567. However, the error that is thrown out in that case (Content-Range error) is not the same as the one you report in your comment 80 (Protocol "http" not supported or disabled in libcurl). There would be ground for a separate bug report regarding your issue, I think.

To post a comment you must log in.